

package gov.va.med.cds.client.webservice;


import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


@WebServiceClient( name = "ClinicalDataServiceSynchronousInterface", wsdlLocation = "file:cds.wsdl", targetNamespace = "http://client.cds.URL       " )
public class ClinicalDataServiceSynchronousInterfaceLocator
    extends
        Service
{

    public static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName( "http://client.cds.URL       ", "ClinicalDataServiceSynchronousInterface" );
    public final static QName ClinicalDataServiceSynchronousInterfaceHttpPort = new QName( "http://client.cds.URL       ",
                    "ClinicalDataServiceSynchronousInterfaceHttpPort" );


    public ClinicalDataServiceSynchronousInterfaceLocator( URL wsdlLocation )
    {
        super( wsdlLocation, SERVICE );
    }


    public ClinicalDataServiceSynchronousInterfaceLocator( URL wsdlLocation, QName serviceName )
    {
        super( wsdlLocation, serviceName );
    }


    public ClinicalDataServiceSynchronousInterfaceLocator( )
    {
        super( WSDL_LOCATION, SERVICE );
    }


    //This constructor requires DNS    API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate DNS    2.1
    //compliant code instead.
    public ClinicalDataServiceSynchronousInterfaceLocator( WebServiceFeature... features )
    {
        super( WSDL_LOCATION, SERVICE, features );
    }


    //This constructor requires DNS    API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate DNS    2.1
    //compliant code instead.
    public ClinicalDataServiceSynchronousInterfaceLocator( URL wsdlLocation, WebServiceFeature... features )
    {
        super( wsdlLocation, SERVICE, features );
    }


    //This constructor requires DNS    API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate DNS    2.1
    //compliant code instead.
    public ClinicalDataServiceSynchronousInterfaceLocator( URL wsdlLocation, QName serviceName, WebServiceFeature... features )
    {
        super( wsdlLocation, serviceName, features );
    }


    /**
     *
     * @return
     *     returns ClinicalDataServiceSynchronousInterface
     */
    @WebEndpoint( name = "ClinicalDataServiceSynchronousInterface" )
    public ClinicalDataServiceSynchronousInterface getClinicalDataServiceSynchronousInterfaceHttpPort( )
    {
        return super.getPort( ClinicalDataServiceSynchronousInterfaceHttpPort, ClinicalDataServiceSynchronousInterface.class );
    }

}
